Subject: [NEW PACKAGE] nn-6.5.0.b3.linux.1.1-01 (newsreader)

From: Mike Coleman <[email-masked]>
Date: Tue, 11 Jun 96 21:27 CDT

I've just uploaded 'nn' to Incoming on master (correctly, I hope).  If you're
an nn fan, check it out.  (This is the client only--with NOV around, there's
not that much use for nnmaster.)

The copyright is slightly iffy.  I think it still qualifies for the main
distribution, but someone who knows the rules can eyeball it (see below).

The significance of the version number is that this is v1.1 of the linux patch
that makes nn-6.5.0.3.b3 run under linux.  As far as I've been able to
determine, no one is (or will admit to) actively working on nn.  (Someone is
working on a GUI variant called nn-tk, though.)

Cheers,
--Mike

-----BEGIN PGP SIGNED MESSAGE-----

Date: 12 Jun 96 02:00 UT
Format: 1.5
Distribution: unstable
Priority: Low
Maintainer: Mike Coleman <[email-masked]>
Source: nn
Version: 6.5.0.b3.linux.1.1-01
Binary:  nn
Architecture:  i386 source
Description: 
 nn: Heavy-duty USENET news reader (curses-based client)
 -  nn stands for "No News is good news", and the nn newsreader is designed to let
 -  you minimize the amount of time you spend reading news (or, more
 -  realistically, to allow you to follow even more newsgroups :-).
 -  .
 -  nn allows you to quickly select articles of interest and skip the rest.  It
 -  also supports efficient article killing and selection of articles by author
 -  and subject.
 -  .
 -  This version of nn reads news from a news server via NNTP (the Network News
 -  Transfer Protocol), and can make use of your NNTP server's NOV database, if
 -  configured.  You must have a news server available - large sites usually
 -  provide a site-wide server.  (For those familiar with 'nn', this is a
 -  client-only version.)
 -  .
 -  (Having recently used both nn and trn, I think it's a tossup as to which is
 -  best, as trn seems to include many of nn's best features.  If you're a
 -  diehard nn user, "trn -x -XX" will start trn in a mode which somewhat
 -  resembles nn.)
Changes: no changes info provided
Files:
 81286810370933f9f5a86eaf40238624  575844  news  -  nn-6.5.0.b3.linux.1.1-01.tar.gz
 98266ee66e2b650046a208eaa0231c16  5781  news  -  nn-6.5.0.b3.linux.1.1-01.diff.gz
 5e8e17de9728bf300123d6c3e23e44e5  254690  news  optional  nn-6.5.0.b3.linux.1.1-01.i386.deb

The copyright included with nn is included below.  Although the copyright
information from the primary author is clear, copyrights by other contributors
are less clear.

(This package doesn't include any of contrib/* or inews/*.)

At the very end is the LSM entry for the linux diffs, which shows the author
has placed them in the public domain.  I am also placing the Debian changes
into the public domain.

			      COPYRIGHT
			      ---------

Copyright (c) 1989, 1990 by Kim Fabricius Storm.  All rights reserved.

Not derived from licensed software except as stated below.

Permission is granted to anyone to use, modify, and reuse this
software for any purpose on any computer system, and to redistribute
it freely, subject to the following restrictions:

1. The author is not responsible for the consequences of use of this
   software, no matter how awful, even if they arise from defects in it.

2. The origin of this software must not be misrepresented, either by
   explicit claim or by omission.

3. Altered versions must be plainly marked as such, and must not be
   misrepresented as being the original software.

The following code modules have been incorporated into nn, and the
above copyright notice does not apply to these modules; they include
their own copyright notices (or have none):

regexp.c:	Copyright (c) 1986 by University of Toronto.
	 	Written by Henry Spencer.

unshar.c:	No copyright notice.
		Written by K. Greer, S. Shafer, and M. Mauldin

decode.c:	Derived from a modified Berkeley original posted on
		USENET.

fullname.c:	Copyright (c) 1986 by Rick Adams.
		Derived from the Bnews distribution.

contrib/*:	Various copyright notices.
		The software available in the contrib/ directory was sent
		to me for inclusion in the nn distribution, because
		the authors think it might be useful to other nn users.
		I have included it *as is*.

inews/*:	NNTP 1.5 mini-inews.  Copyrights for NNTP applies.
		The software in the inews/ directory is a stand-alone
		version of the NNTP 1.5.7 mini-inews which has been
		slightly changed to ease configuration when used with nn.

Various pieces of code which may have their own copyright notices are
included in the contrib/ and inews/ directories.  This software has been
sent to me in the hope that it will be useful to somebody else.  I
have included it in this spirit, but I take no responsibilities for
this software, and I have no intentions to support it.

			     INSTALLATION
			     ------------

The following files are contained in the `doc' subdirectory:

The installation procedure is described in the file INSTALLATION.

You may also find useful information in the files PROBLEMS and NNTP.

The file NEWS-6.3 describes the major changes from release 6.1 to 6.3.

The file NEWS-6.4 describes the major changes from release 6.3 to 6.4.

The file NEWS-6.5 describes the major changes from release 6.4 to 6.5.

		     BUG REPORTS and SUGGESTIONS
		     ---------------------------

Please send bug reports (and fixes) to the following address:
	[email-masked]

You may also use nn-bugs for suggestions for improvements (missing
features in nn are considered to be bugs :-)

The easiest way to send a bug report is by using the :bug command in nn.

		      NN HAS ITS OWN NEWS GROUP
		      -------------------------

We have an unmoderated news group dedicated to nn: news.software.nn

The news.software.nn group is used for discussion on all subjects
related to the nn news reader.  This includes, but is not limited to,
questions, answers, ideas, hints, information from the development
group, patches, etc.

The news.software.nn group was created in January 1990 after an
official vote.  It may still be missing on parts of the net, so if you
don't get it please check your news feed, and help propagating the
news group to the entire net.

			   ACKNOWLEDGEMENTS
			   ----------------

Since the development of nn is now on its fifth year, numerous persons
have contributed to nn with ideas and critisism, have helped me debug
the software by patiently using alpha and beta versions, have provided
bug fixes, small and big chunks of code, new configuration files, etc.

My warm thanks go to Rene Seindal and Wayne Davison for their many
contributions, to Lloyd W. Taylor for his efforts counting the
votes for news.software.nn, and to Paul D. Anderson for running the
release 6.3 patch server.

I also thank the following persons for their help and contributions:
Peter Andersen, Jonathan Bayer, Gardner Cohen, Bernie Cosell, P{r
Emanuelsson, Steven Grady, Miek Grenier, Scott Hankin, Kareth, Mike
Khaw, Edwin Kremer, Jean-Francois Lamy, Mark Moraes, A. E. Mossberg,
Mark Nagel, Rich Salz, Steve Simmons, Wietse Z. Venema, James A.
Woods, and Pim Zandbergen.

And of course I would like to thank the hundreds of other people who
have reported bugs, given suggestions, provided information, etc.
Forgive me for not listing all your names here, but I hope you
understand, and that you will continue to contribute your
valuable input to the continued developments.  Let us keep nn in the
lead!

Kim Fabricius Storm
Texas Instruments A/S, Denmark

Email: [email-masked]
Snail: Marielundvej 46E, DK-2730 Herlev, Denmark
tel:   +45 42 91 7400      fax:   +45 42 91 8400

==============================================================================
Begin3
Title:          nn-6.5.0.b3.linux_diffs
Version:        1.1
Entered-date:   05JUN96
Description:    Patch to make nn-6.5.0.b3 compile under Linux with ncurses
Keywords:       news, nn, ncurses, linux, patch
Author:         v1.0--Unknown
                [email-masked] (Jason Heiss)
Maintained-by:  [email-masked] (Jason Heiss)
Primary-site:   calvin.caltech.edu /pub/nn/contrib
                5k  nn-6.5.0.b3.linux_diffs.tar.gz
Alternate-site: sunsite.unc.edu /pub/Linux/system/News/readers
                5k  nn-6.5.0.b3.linux_diffs.tar.gz
Original-site:  
Copying-policy: Public Domain
End